package io.accumulatenetwork.sdk.generated.query;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.Marshallable;
import io.accumulatenetwork.sdk.protocol.TxID;
import io.accumulatenetwork.sdk.support.Marshaller;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("ResponsePending")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponsePending implements Marshallable {
	private TxID[] transactions;

    //
	public TxID[] getTransactions() {
	    return transactions;
	}
	public void setTransactions(final TxID[] value) {
	    this.transactions = value;
	}

	public ResponsePending transactions(final TxID[] value) {
	    setTransactions(value);
	    return this;
	}
    public byte[] marshalBinary() {
        final var marshaller = new Marshaller();
        if (!(this.transactions == null || this.transactions.length == 0)) {
            marshaller.writeTxid(1, this.transactions);
        }
        return marshaller.array();
    }
}
